import java.util.*;
class T {
	public static void main(String[] args){
		Collection<String> c= new ArrayList<String>();
		c.add("abc");
		c.add("def");
		
		//采用迭代器进行遍历.
		Iterator<String> iter=c.iterator();
		while(iter.hasNext()){
			String s= iter.next();
			System.out.println(s);
		}

		//也可以这样遍历.
		for(String s : c){
			System.out.println(s);
		}
	}
}
